=== modified file 'bzrlib/info.py'
--- bzrlib/info.py	2012-01-18 20:47:13 +0000
+++ bzrlib/info.py	2012-02-20 13:30:09 +0000
@@ -200,9 +200,10 @@
             repository._format.get_format_description())
 
 
-def _show_locking_info(repository, branch=None, working=None, outfile=None):
+def _show_locking_info(repository=None, branch=None, working=None,
+        outfile=None):
     """Show locking status of working, branch and repository."""
-    if (repository.get_physical_lock_status() or
+    if (repository and repository.get_physical_lock_status() or
         (branch and branch.get_physical_lock_status()) or
         (working and working.get_physical_lock_status())):
         outfile.write('\n')

=== modified file 'doc/en/release-notes/bzr-2.5.txt'
--- doc/en/release-notes/bzr-2.5.txt	2012-02-16 18:01:57 +0000
+++ doc/en/release-notes/bzr-2.5.txt	2012-02-20 13:30:09 +0000
@@ -36,6 +36,9 @@
 .. Fixes for situations where bzr would previously crash or give incorrect
    or undesirable results.
 
+* Show locks in ``bzr info`` on control directories without a
+  repository. (Jelmer Vernooij, #936767)
+
 * Disable ssl certificate verification on osx and windows until a native
   access to the the root certificates is provided there.
   (Vincent Ladeuil, #929179)

